Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class IncorrectClosureArgumentsException

An exception occurred when invoking a Closure with the wrong number and/or types of arguments

author:
  James Strachan

version:
  $Revision: 6817 $

Field Summary
`Object` | `arguments`
`Closure` | `closure`
`def` | `expected`

Constructor Summary
`IncorrectClosureArgumentsException(Closure closure, Object arguments, def expected)`

Method Summary
`Object` | `getArguments()`
`Closure` | `getClosure()`
`def` | `getExpected()`

Constructor Detail

### IncorrectClosureArgumentsException

    public IncorrectClosureArgumentsException(Closure closure, Object arguments, def expected)

Method Detail

### getArguments

    public Object getArguments()

### getClosure

    public Closure getClosure()

### getExpected

    public def getExpected()